let
  unstable = (import <nixos-unstable> { overlays = [ seaf-overlay ]; }).pkgs;

  seaf-overlay = (import ./ov/seafile-overlay);
in

[
  (
    self: super:
      rec {
        seafile-server = unstable.seafile-server;
        amarok = super.libsForQt5.callPackage ./ov/amarok.nix {};
        #stapler = super.python2.callPackage ./ov/stapler.nix {};
        myVim = with super; (vim_configurable.override { python = python3; }).customize {
          # executable/ package name
          name = "vim";
          vimrcConfig.packages.myVimPackage = with pkgs.vimPlugins; {
            # loaded on start
            start = [
              ale
              base16-vim
              LanguageClient-neovim
              ctrlp
              direnv-vim
              fugitive
              haskell-vim
              jedi-vim
              nerdtree
              nerdtree-git-plugin
              supertab
              vim-pandoc
              vim-pandoc-syntax
              vim-nix
              vim-jinja
            ];
          };
          vimrcConfig.customRC =
            ''if filereadable($HOME . "/.vimrc")
        source ~/.vimrc
      endif
      '';
        };
        # build with debug symbols and in debug mode (less optimized)
        opencvDebug = with super; enableDebugging ((opencv3.override { enablePython = true; enableGtk3 = true; enableDocs = true; pythonPackages = pkgs.python3Packages; }).overrideAttrs (oldAttrs: rec { cmakeBuildType = "Debug"; }));
        #gnutls = super.callPackage ./ov/gnutls {inherit (super.darwin.apple_sdk.frameworks) Security;};
      }
  )

]
